Bug 827465 - NoClassDefFoundError when invoking a webservice via SOAPProcessor(JDK7)
NoClassDefFoundError when invoking a webservice via SOAPProcessor(JDK7)
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: 5.3.0 GA
Assigned To: Kevin Conner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 10:34 EDT by Filip Elias
Modified: 2015-03-12 07:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When attempting to invoke a webservice via SOAPProcessor it will throw the exception. This is caused by a class error in JDK 7.
Story Points: ---
Clone Of:
Environment:
SOA-P 5.3 ER3 JDK "1.7.0_04"
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ESB archive with webservice (6.02 KB, application/octet-stream)
2012-06-01 10:34 EDT, Filip Elias
no flags Details

  None (edit)
Description Filip Elias 2012-06-01 10:34:01 EDT
Created attachment 588481 [details]
ESB archive with webservice

Description of problem:
When you try to invoke a webservice via SOAPProcessor it will throw the exception: "java.lang.NoClassDefFoundError: Could not initialize class org.jboss.ws.extensions.xop.jaxws.AttachmentUnmarshallerImpl". 

This problem occurs in JDK 7.

Version-Release number of selected component (if applicable):
SOA-P 5.3 ER3


Steps to Reproduce:
1.Deploy the ESB archive from the attachment(it contains also webservice)
2.Call the webservice using this wsdl: http://HOSTNAME:8080/Contract_publisher_soapproducer_import/GoodbyeWorldWS?wsdl


Exception:

16:20:45,774 ERROR [[GoodbyeWorldWS]] Servlet.service() for servlet GoodbyeWorldWS threw exception
java.lang.NoClassDefFoundError: Could not initialize class org.jboss.ws.extensions.xop.jaxws.AttachmentUnmarshallerImpl
	at org.jboss.ws.core.jaxws.JAXBDeserializer.deserialize(JAXBDeserializer.java:76)
	at org.jboss.ws.core.binding.DeserializerSupport.deserialize(DeserializerSupport.java:61)
	at org.jboss.ws.core.soap.XMLContent.unmarshallObjectContents(XMLContent.java:179)
	at org.jboss.ws.core.soap.XMLContent.transitionTo(XMLContent.java:96)
	at org.jboss.ws.core.soap.SOAPContentElement.transitionTo(SOAPContentElement.java:140)
	at org.jboss.ws.core.soap.SOAPBodyElementDoc.transitionTo(SOAPBodyElementDoc.java:86)
	at org.jboss.ws.core.soap.SOAPContentElement.getObjectValue(SOAPContentElement.java:172)
	at org.jboss.ws.core.EndpointInvocation.transformPayloadValue(EndpointInvocation.java:273)
	at org.jboss.ws.core.EndpointInvocation.getRequestParamValue(EndpointInvocation.java:115)
	at org.jboss.ws.core.EndpointInvocation.getRequestPayload(EndpointInvocation.java:135)
	at org.jboss.ws.core.server.DelegatingInvocation.getArgs(DelegatingInvocation.java:80)
	at org.jboss.wsf.container.jboss50.invocation.InvocationHandlerJSE.invoke(InvocationHandlerJSE.java:117)
	at org.jboss.ws.core.server.ServiceEndpointInvoker.invoke(ServiceEndpointInvoker.java:241)
	at org.jboss.wsf.stack.jbws.RequestHandlerImpl.processRequest(RequestHandlerImpl.java:470)
	at org.jboss.wsf.stack.jbws.RequestHandlerImpl.handleRequest(RequestHandlerImpl.java:294)
	at org.jboss.wsf.stack.jbws.RequestHandlerImpl.doPost(RequestHandlerImpl.java:203)
	at org.jboss.wsf.stack.jbws.RequestHandlerImpl.handleHttpRequest(RequestHandlerImpl.java:129)
	at org.jboss.wsf.common.servlet.AbstractEndpointServlet.service(AbstractEndpointServlet.java:85)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at org.jboss.web.tomcat.filters.ReplyHeaderFilter.doFilter(ReplyHeaderFilter.java:96)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:235)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
	at org.jboss.web.tomcat.security.SecurityAssociationValve.invoke(SecurityAssociationValve.java:183)
	at org.jboss.web.tomcat.security.JaccContextValve.invoke(JaccContextValve.java:95)
	at org.jboss.web.tomcat.security.SecurityContextEstablishmentValve.process(SecurityContextEstablishmentValve.java:126)
	at org.jboss.web.tomcat.security.SecurityContextEstablishmentValve.invoke(SecurityContextEstablishmentValve.java:70)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
	at org.jboss.web.tomcat.service.jca.CachedConnectionValve.invoke(CachedConnectionValve.java:158)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
	at org.jboss.web.tomcat.service.request.ActiveRequestResponseCacheValve.internalProcess(ActiveRequestResponseCacheValve.java:74)
	at org.jboss.web.tomcat.service.request.ActiveRequestResponseCacheValve.invoke(ActiveRequestResponseCacheValve.java:47)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:330)
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:829)
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:599)
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:451)
	at java.lang.Thread.run(Thread.java:722)
Comment 3 Nick Cross 2012-06-06 11:18:27 EDT
Using above test case with current SOA-P (which includes the JDK 7 logmanager ( https://bugzilla.redhat.com/show_bug.cgi?id=820498) fix amongst others) I can't reproduce this anymore.
Comment 4 Suz 2012-06-13 01:40:05 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When attempting to invoke a webservice via SOAPProcessor it will throw the exception. This is caused by a class error in JDK 7.
Comment 5 Filip Elias 2012-06-28 06:26:34 EDT
Verified in SOA-P 5.3 ER4

Note You need to log in before you can comment on or make changes to this bug.